---
- name: Escape branch variable
  ansible.builtin.set_fact:
    marge_config_escaped_branch: "{{ marge_config_branch | replace('/', '-') }}"

- name: Set config and container variables
  ansible.builtin.set_fact:
    marge_config_file: "config-{{ marge_config_escaped_branch }}.yaml"
    marge_config_container_name: "marge-{{ marge_config_escaped_branch }}"

- name: Copy template config
  ansible.builtin.template:
    src: config.yaml.j2
    dest: "{{ marge_config_root }}/{{ marge_config_file }}"
    mode: '0644'

- name: Run marge-bot container
  containers.podman.podman_container:
    name: "{{ marge_config_container_name }}"
    image: "{{ marge_config_container_image }}:{{ marge_config_container_tag }}"
    command: "--config {{ marge_config_dest }}/{{ marge_config_file }}"
    state: started
    generate_systemd:
      container_prefix: "{{ marge_config_container_prefix }}"
      restart_policy: always
      path: /etc/systemd/system
    tmpfs:
      "/tmp": "rw,noexec,nosuid,nodev,mode=1777"
    volume:
      - "{{ marge_config_root }}:{{ marge_config_dest }}"

- name: Enable marge-bot systemd service
  ansible.builtin.systemd:
    name: "{{ marge_config_container_prefix }}-{{ marge_config_container_name }}"
    state: started
    enabled: yes
